(function( $ ) {

	'use strict';
	$( window ).on( 'load resize', function() {
	
		adjustBannerHeight();
	});

})( jQuery );

/**
 * Function to adjust the banner height on load and resize if there is wp-admin bar
 */
function adjustBannerHeight() {

	jQuery( '#cookie-banner-container' ).css( 'height', ( jQuery( '.cookies-description' ).height() + 20 ) +'px' );


	if( jQuery( '#wpadminbar' ).length && jQuery( '#cookie-banner-container' ).hasClass( 'fixed-top' ) ) {

		jQuery( '#cookie-banner-container' ).css( 'margin-top', jQuery( '#wpadminbar' ).height() + 'px' );
	}

	jQuery( 'body > div:eq(1)' ).css( 'margin-top', ( jQuery( '#cookie-banner-container' ).height() ) + 'px' );
}

/**
 * Function to set the cookie and close the banner of the user clicks the close button on the banner.
 * Cookie is set to avoid displaying the banner again.
 */
function closeCookieBanner() {

	var c_name = "ppPopUpBannerShown";
	var c_value = "1";
	document.cookie = c_name + "=" + c_value + "; path=/";

	if( jQuery( '#cookie-banner-container' ).hasClass( 'fixed-top' )) {

		jQuery( '#cookie-banner-container' ).slideUp( 600 );
		jQuery( 'body > div:eq(1)' ).animate( { marginTop: "0px" }, 600, function(){
			jQuery( '#cookie-banner-container' ).remove();
		} );

	} else {

		jQuery( '#cookie-banner-container' ).animate( { height: "0px" }, 600, function(){
			jQuery( '#cookie-banner-container' ).remove();
		} );
	}
	return false;
}